> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a reauth flow for an existing config entry

> Begins a config flow that re-authenticates (updates credentials/token of) the target entry.



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/config_entries/config_entry/{config_entry}/reauth
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/config_entries/config_entry/{config_entry}/reauth:
    post:
      tags:
        - Config Entries
      summary: Start a reauth flow for an existing config entry
      description: >-
        Begins a config flow that re-authenticates (updates credentials/token
        of) the target entry.
      operationId: postV1Config_entriesConfig_entryByConfig_entryReauth
      parameters:
        - in: path
          name: config_entry
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Config flow started (form/external/abort)
          content:
            application/json:
              path: /v1/logto/webhook
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````